Loading...
Searching...
No Matches
driver.c File Reference

GRASS png display driver - driver initialization. More...

`#include "pngdriver.h"`
Include dependency graph for pngdriver/driver.c:

Go to the source code of this file.

## Functions

const struct driver * | PNG_Driver (void)
| Initialize display driver.

## Detailed Description

GRASS png display driver - driver initialization.

(C) 2007-2014 by Glynn Clements and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Glynn Clements

Definition in file pngdriver/driver.c.

## Function Documentation

## PNG_Driver()

const struct driver * PNG_Driver | ( | void |  | ) |

Initialize display driver.

Returns
  pointer driver structure

Definition at line 21 of file pngdriver/driver.c.

References driver::Begin, driver::Begin_raster, driver::Bitmap, driver::Box, driver::Close, driver::Color, driver::Cont, driver::End_raster, driver::Erase, driver::Fill, driver::Font_info, driver::Font_list, driver::Graph_close, driver::Graph_get_file, driver::Graph_set, driver::Line_width, driver::Move, driver::name, NULL, PNG_Begin(), PNG_begin_raster(), PNG_Box(), PNG_Close(), PNG_color_rgb(), PNG_Cont(), PNG_draw_bitmap(), PNG_Erase(), PNG_Fill(), PNG_Graph_close(), PNG_Graph_get_file(), PNG_Graph_set(), PNG_Line_width(), PNG_Move(), PNG_Point(), PNG_raster(), PNG_Set_window(), PNG_Stroke(), driver::Point, driver::Raster, driver::Set_font, driver::Set_window, driver::Stroke, driver::Text, and driver::Text_box.